Package com.xebialabs.xlrelease.serialization.json.utils

## Class CiSerializerHelper$

- java.lang.Object
- - com.xebialabs.xlrelease.serialization.json.utils.CiSerializerHelper$

-     public class CiSerializerHelper$
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CiSerializerHelper$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CiSerializerHelper$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConfigurationItem` | `deserialize​(com.fasterxml.jackson.databind.JsonNode node, Repository repository)` |
    `ConfigurationItem` | `deserialize​(com.fasterxml.jackson.databind.JsonNode node, Repository repository, com.xebialabs.xltype.serialization.ConfigurationItemConverter ciConverter)` |
    `ConfigurationItem` | `deserialize​(java.lang.String json, Repository repository)` |
    `ConfigurationItem` | `deserialize​(java.lang.String json, Repository repository, com.xebialabs.xltype.serialization.ConfigurationItemConverter ciConverter)` |
    `com.xebialabs.xltype.serialization.ConfigurationItemConverter` | `newEncryptingConverter()` |
    `java.lang.String` | `serialize​(ConfigurationItem ci)` |
    `java.lang.String` | `serialize​(ConfigurationItem ci, com.xebialabs.xltype.serialization.ConfigurationItemConverter converter)` |
    `java.lang.String` | `serialize​(java.util.List<? extends ConfigurationItem> cis)` |
    `java.lang.String` | `serialize​(java.util.List<? extends ConfigurationItem> cis, com.xebialabs.xltype.serialization.ConfigurationItemConverter converter)` |
    `java.lang.String` | `serializeWithMaskedPasswords​(ConfigurationItem ci)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final CiSerializerHelper$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### CiSerializerHelper$

          public CiSerializerHelper$()

  - ### Method Detail

    - #### newEncryptingConverter

          public com.xebialabs.xltype.serialization.ConfigurationItemConverter newEncryptingConverter()

    - #### deserialize

          public ConfigurationItem deserialize​(com.fasterxml.jackson.databind.JsonNode node,
                                               Repository repository)

    - #### deserialize

          public ConfigurationItem deserialize​(java.lang.String json,
                                               Repository repository)

    - #### deserialize

          public ConfigurationItem deserialize​(com.fasterxml.jackson.databind.JsonNode node,
                                               Repository repository,
                                               com.xebialabs.xltype.serialization.ConfigurationItemConverter ciConverter)

    - #### deserialize

          public ConfigurationItem deserialize​(java.lang.String json,
                                               Repository repository,
                                               com.xebialabs.xltype.serialization.ConfigurationItemConverter ciConverter)

    - #### serialize

          public java.lang.String serialize​(ConfigurationItem ci)

    - #### serializeWithMaskedPasswords

          public java.lang.String serializeWithMaskedPasswords​(ConfigurationItem ci)

    - #### serialize

          public java.lang.String serialize​(java.util.List<? extends ConfigurationItem> cis)

    - #### serialize

          public java.lang.String serialize​(ConfigurationItem ci,
                                            com.xebialabs.xltype.serialization.ConfigurationItemConverter converter)

    - #### serialize

          public java.lang.String serialize​(java.util.List<? extends ConfigurationItem> cis,
                                            com.xebialabs.xltype.serialization.ConfigurationItemConverter converter)